import Vue from 'vue'
import Vuex from 'vuex'
// import * as types from './mutation-types'

import framework from './modules/framework'

Vue.use(Vuex)

/* 这里存放根数据 */
const store = new Vuex.Store({
  state: {},
  getters: {},
  mutations: {},
  actions: {},
  /* 最好能够根据功能划分模块，将业务代码写在vuex里，尽可能地将视图层(vue)和领域层(vuex)分离 */
  modules: {
    framework
  }
})

export default store
